MS Patches

Approved to apply on Activu Systems

Updated 12/12/2018


NERC CIP Customers, Please click here (password protected)

NERC-CIP


Urgent Bulletins

May 1, 2018

Issue with Activu Systems with Windows 10 Control/System Managers running Activu version 5.3.

This issue only applies to Activu Systems with Windows 10 Control/System Managers running Activu version 5.3. At this time, PLEASE DO NOT UPGRADE YOUR WINDOWS 10 CONTROL/SYSTEM MANAGERS WITH THE 1803 (Spring Creators Edition) UPDATE unless you contact us first for a patch to address the issue.

Feb 1, 2018

Intel Statment Concerning Meltdown and Spectre

Concerning Meltdown and Spectre, we recommend to follow the latest news from Intel concerning these vulnerabilities. Intel's statement on January 22nd: "We recommend that OEMs, cloud service providers, system manufacturers, software vendors and end users stop deployment of current versions, as they may introduce higher than expected reboots and other unpredictable system behavior," Navin Shenoy, executive vice president and general manager of Intel's Data Center Group

Please contact Activu Technical Support Services if you have any concerns. 888-Activu-3 (888-228-4883)

Jan 1, 2018

Activu Statement Concerning Meltdown and Spectre

Activu is aware of the security vulnerabilities, known as Meltdown and Spectre, that are understood to affect most modern computer processors. Exploitation of these vulnerabilities could allow an attacker with access to an ActivWare platform host computer to obtain access to sensitive information under limited circumstances. We are closely monitoring industry news and reports, especially those released by our technology vendors, to determine what actions, if any, may be necessary to mitigate the risk associated with these potential vulnerabilities. We will continue to monitor the situation and provide additional updates as new information comes to light.

Please contact Activu Technical Support Services, using the contact information below, if you have any concerns.

Sep 1, 2017

Windows 10 ONLY

MS Patch causing issue is currently unknown We have discovered a patch that causes issues with Activu Device Manager Service (ADM) when running on Windows 10 for Activu software 5.4.17.0721 and older. These applications only run on Activu backend equipment, usually on the Activu Control Manager/System Manager/ASM Server. Activu currently has patches available for the Activu software version 5.4.x and 5.3.x

Please contact Activu Technical Support Services at TSS@activu.com or 888-228-4883 if your system has been affected by this Microsoft patch or you have questions on whether your system could be impacted or not.

Jun 1, 2017

Windows 10 ONLY

MS Patch to Windows 10 Creators, ver 1703 We have discovered this patch causes issues with Activu Interface Server (AIS) and Activu Mobility Access Server (MAS) when running on Windows 10 for Activu software 5.3.17.0126 and older. These applications only run on Activu backend equipment. Activu currently has patches available for the Activu software version 5.3.x

Please contact Activu Technical Support Services at TSS@activu.com or 888-228-4883 if your system has been affected by this Microsoft patch or you have questions on whether your system could be impacted or not.

Apr 1, 2015

MS Security Update causes issues with server and client applications of Activu software for early versions 5.2

Windows Server 2008 R2 / Windows Server 2003 Microsoft Security Bulletin MS15-038 (KB3045999) Later replaced by future updates (on Server 2008 R2 only):

  • Security Update for Windows Server 2008 R2 x64 Edition (KB3060716)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3071756)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3088195)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3101746)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3121212)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3126587)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3126593)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3140410)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3146706)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3153171)
  • Security Update for Windows Server 2008 R2 x64 Edition (KB3175024)
We have discovered this causes issues with both server and client applications of Activu software for early versions 5.2 and lower. Activu currently has patches available for the Activu software version 5.0.x – 5.2.14.0226. Build packages 5.2.14.0710 and later have been patched.

Please contact Activu Technical Support Services at TSS@activu.com or 888-228-4883 if your system has been affected by this Microsoft patch.

Mar 1, 2014

MS Security Update causes issues with server and client applications of Activu software for early versions 5.2

Windows Server 2008 R2 / Windows Server 2003 Microsoft Security Bulletin MS14-018 (KB2929437) We have discovered this causes issues with both server and client applications of Activu software for early versions 5.2 and lower. Activu currently has patches available for the Activu software version 5.0.x – 5.2.14.0226. Build packages 5.2.14.0710 and later have been patched. Two additional conditions are necessary in the system before this problem will appear (all below have to be present): .NET v4.5 Internet Explorer 6, 7, 8, 9, 11 *** The following combinations with IE 10 will not exhibit this problem: Windows 7 for 32-bit Systems Service Pack 1 Internet Explorer 10 Windows 7 for x64-based Systems Service Pack 1 Internet Explorer 10 Windows Server 2008 R2 for x64-based Systems Service Pack 1 Internet Explorer 10 Windows 8 for 32-bit Systems Internet Explorer 10 Windows 8 for x64-based Systems Internet Explorer 10 Windows Server 2012 Internet Explorer 10 Windows RT Internet Explorer 10 This problem also will not appear if you are running .NET Framework release 4.0 rather than 4.5.

At this time, please avoid installing this MS14-018 (KB2929437) patch. If you must install this patch, please downgrade your .NET Framework to release 4.0 to work around this problem. Please contact Activu Technical Support Services at TSS@activu.com or 888-228-4883 if your system has been affected by this patch.

Currently Approved Patches

  • All approvals apply to Activu GA releases (unless otherwise noted):
    • v5.2.15.1208
      • Windows 7 and Windows Server 2008
    • v5.3.17.0627
      • Windows 7/Windows Server 2008
      • Windows 10/Windows Server 2012 (client application only)
    • v5.4.17.0721
      • Windows 7/10 and Windows Server 2008/2012
    • v5.4.17.1130
      • Windows 7/10 and Windows Server 2008/2012
    • v5.4.18.0504
      • Windows 7/10 and Windows Server 2008/2012
  • We have deprecated the use of Windows XP and Server 2003 operating systems.
  • All testing done against x64 bit OS versions and we only test against the standard Activu build. If your OS contains components added after the installation, and that are also patched via MS Windows Update, it is NOT possible to have those patches pre-tested.
  • Windows Server OS' tested against R2 versions only.

Windows Server 2008 R2 Standard

All currently released patches approved as of December, 2018.

Windows Server 2012 R2 Standard

All currently released patches approved as of December, 2018.

Windows 7 Professional / Ultimate

All currently released patches approved as of December, 2018.

Windows 10 Pro

  • All currently released patches approved as of December, 2018.
    • See Urgent Bulletin for May 2018 and August/June 2017 above
    • Some systems with Access Point installed from the 5.3.16.0607 GA release series may experience issues logging in with current MS patches applied. Please contact Activu Technical Support Services for additional information and appropriate patches.